sip4 (4.16.8+dfsg-2) unstable; urgency=medium

  * Fix package names in error messages in sipconfig files.
  * Fix Python 3 package name in PY3_PROVIDES.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jun 2015 12:05:53 +0300

sip4 (4.16.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop fix_methodcode_regression.diff, applied upstream.
  * Bump API version to 11.2 (keep 11.0 and 11.1 in provided versions).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Jun 2015 14:12:52 +0300

sip4 (4.16.7+dfsg-2) unstable; urgency=medium

  * Bump debhelper compatibility level to 9.
  * Be verbose when renaming extension files.
  * Add a temporary hack to use upstream stylesheet when building the
    documentation with Sphinx 1.2.
  * Update sip.1 manpage, some options changed since last update.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 06 May 2015 21:13:39 +0300

sip4 (4.16.7+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Backport upstream patch to fix a regression in this release.
  * Merge two siputils patches into a single one.
  * Get rid of useless python call in debian/rules.
  * Revert upstream change that breaks build with Sphinx 1.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Mar 2015 11:17:15 +0300

sip4 (4.16.6+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Bump year in debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 27 Feb 2015 16:00:06 +0300

sip4 (4.16.5+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Refresh and simplify patches.
  * Drop configure.py.patch, no longer needed.
  * Update clean and install targets in debian/rules for new version.
  * Build-depend on dh-python explicitly.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Dec 2014 14:59:14 +0300

sip4 (4.16.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Include full copy of SIP license in debian/copyright.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 24 Oct 2014 10:07:59 +0400

sip4 (4.16.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update my e-mail address.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Sep 2014 12:53:42 +0400

sip4 (4.16.2+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release
    - Refreshed patches

 -- Scott Kitterman <scott@kitterman.com>  Fri, 04 Jul 2014 11:15:21 -0400

sip4 (4.16.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update sip.1 man page, document new command-line flags.

 -- Dmitry Shachnev <mitya57@gmail.com>  Mon, 09 Jun 2014 15:56:52 +0400

sip4 (4.16+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump API version to 11.1 (keep 11.0 in provided versions).
  * Update debian/copyright to copyright-format 1.0.
  * Add Files-Excluded field to remove HTML documentation, which
    contains sourceless minified jquery.
  * Simplify debian/watch, and mangle dfsg version.
  * Add get-orig-source target to debian/rules.

 -- Dmitry Shachnev <mitya57@gmail.com>  Sun, 01 Jun 2014 12:38:17 +0400

sip4 (4.15.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Scott Kitterman <scott@kitterman.com>  Fri, 09 May 2014 07:48:12 -0400

sip4 (4.15.5-1) experimental; urgency=low

  * New upstream release.
  * Bump API version to 11.0.
  * debian/rules: Drop Python 2.5 compatibility code.

 -- Dmitry Shachnev <mitya57@gmail.com>  Tue, 18 Mar 2014 10:40:51 +0400

sip4 (4.15.4-1) unstable; urgency=low

  * New upstream bugfix release.
  * Adjust python-qwt5-qt4 and python-qwt3d-qt4 breaks, only the newly
    uploaded versions work with new sip.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 08 Jan 2014 19:36:26 +0400

sip4 (4.15.3-1) unstable; urgency=low

  [ Dmitry Shachnev ]
  * New upstream release.
  * Add myself to Uploaders.

  [ Scott Kitterman ]
  * Bump standards version to 3.9.5 without further change.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 06 Nov 2013 07:34:12 +0400

sip4 (4.15.2-2) unstable; urgency=low

  * Upload to unstable
  * Revert workaround for #723070, since it's addressed in dh-python now

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Oct 2013 19:26:33 -0400

sip4 (4.15.2-1) experimental; urgency=low

  * New upstream release
    - Contains the sip4 part of the fix for recent pykde4 breakage
  * Temporarily hard code python3 Depends in python3-sip-dev to work around
    breakage in dh-python (See #723070)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 16 Sep 2013 00:45:10 -0400

sip4 (4.15.1-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * Call dh_sphinxdoc after dh_installdocs, to fix build failure with
    new debhelper versions.
  * Remove wrong debian/python-sip-doc.docs, we install docs manually.
  * Don't hardcode depends on libjs-jquery and libjs-underscore,
    ${sphinxdoc:Depends} takes care of that.

  [ Scott Kitterman ]
  * New upstream release

 -- Scott Kitterman <scott@kitterman.com>  Tue, 27 Aug 2013 22:18:05 -0400

sip4 (4.15-1) experimental; urgency=low

  * New upstream feature release
    - Add 10.1 to sip-api and sip-py3api

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 Aug 2013 17:19:27 -0400

sip4 (4.14.7-4) unstable; urgency=medium

  * Urgency medium for RC bug fix affecting stable -> testing upgrades
  * Clean up symlink versus directory for python/python3-sip-dbg
    (Closes: #720156)
    - Convert doc directories for -dbg packages to symlinks (as
      python-sip-dbg has in wheezy)
    - Add python/python3-sip-dbg.postinsts to straighten up existing dirs
    - Convert sip-dbg doc dir to symlink to sip-dev
  * Exclude sip-dev from dh_python3 processing to fix errors with dh_python3
    processing inappropriate files
  * Remove install-arch-3.2, now that python3.2 is no longer supported to
    simplify debian/rules, bump minimum python3-all-dev version required to
    3.3.2-5~

 -- Scott Kitterman <scott@kitterman.com>  Mon, 19 Aug 2013 08:59:25 -0400

sip4 (4.14.7-3) unstable; urgency=low

  * Split usr/bin/sip out of python-sip-dev to fix missing depends for
    python3-sip-dev without requiring dragging in all of python-sip for
    Python 3 projects
    - Add sip-dev to debian/control with breaks/replaces on old python-sip-dev
      versions
    - Add sip-dev to depends for python-sip-dev and python3-sip-dev
    - Update .install and .manpages files for package split
    - Add sip-dbg to debian/control and update debian rules
  * Remove redundant Recommends on python-sip/python3-sip in the -dev
    packages
  * Use build Sphinx based documenation from source and use dh_sphinxdoc to
    generate dependencies for python-sip-doc
    - Add sphinxdoc:Depends to python-sip-doc depends
    - Add call to sphinx-build and dh_sphinxdoc in debian/rules
    - Add python-sphinx to build-depends
  * Update debian/copyright

 -- Scott Kitterman <scott@kitterman.com>  Wed, 03 Jul 2013 17:33:19 -0400

sip4 (4.14.7-2) unstable; urgency=low

  * Fix sip API bump missed in the last upload (Closes: #712669)
    - Bump sip-api and sip-py3api to 10.0
    - Update python-sip Breaks versions
    - Add appropriate Breaks for python3-sip 

 -- Scott Kitterman <scott@kitterman.com>  Tue, 18 Jun 2013 16:47:59 -0400

sip4 (4.14.7-1) unstable; urgency=low

  [ Dmitry Shachnev ]
  * Fixes for some lintian4python errors:
    - Make python3-sip-dev depend on ${python3:Depends}, not ${python:Depends}.
    - Bump build-dependency on python-all-dev to (>= 2.7.2-5~), to ensure
      that dh_python2 supports --no-dbg-cleaning option.

  [ Scott Kitterman ]
  * New upstream release
  * Added doc-base registration, debian/python-sip-doc.doc-base

 -- Scott Kitterman <scott@kitterman.com>  Mon, 17 Jun 2013 20:39:47 -0400

sip4 (4.14.6-1) unstable; urgency=low

  * Upload to unstable

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Scott Kitterman ]
  * New upstream release
    - Refreshed patches
    - Update sip{3}-api provides for new minor SIP API version
    - Update Breaks for new transition
  * Drop unused python/python3:Provides

 -- Scott Kitterman <scott@kitterman.com>  Tue, 07 May 2013 22:48:39 -0400

sip4 (4.14.3-1) experimental; urgency=low

  * New upstream release
    - Refreshed patches
    - Update sip{3}-api provides for new minor SIP API version
    - Update debian/copyright
  * Add debian uupdate to debian/watch

 -- Scott Kitterman <scott@kitterman.com>  Wed, 13 Feb 2013 00:45:25 -0500

sip4 (4.14.2-1) experimental; urgency=low

  * New upstream release
    - Refreshed patches
  * Use updated watch file provided by Bart Martens
  * Bump standards version to 3.9.4 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 09 Dec 2012 14:02:36 -0500

sip4 (4.14-5) experimental; urgency=low

  * Remove *.preinst scripts as they are no longer needed.

 -- Scott Kitterman <scott@kitterman.com>  Mon, 05 Nov 2012 23:05:18 -0500

sip4 (4.14-4) experimental; urgency=low

  * Give up on doc directory symlinks as not worth the trouble
    (Closes: #691442)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 05 Nov 2012 20:58:12 -0500

sip4 (4.14-3) experimental; urgency=low

  * Fix debian/sipconfig_py3.snippet to use sys.abiflags to detect if the
    debug build is running instead of the non-existent (in python3)
    sys.pydebug
  * Add *.preinst to python-sip-dbg, python-sip-dev, python3-sip-dbg, and
    python3-sip-dev to remove any potential doc directories that are now
    symlinks (Closes: #691442)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 26 Oct 2012 00:03:20 -0400

sip4 (4.14-2) experimental; urgency=low

  * Enable building for multiple supported python3 versions
    - Support python3.3 and later file locations
    - Generate sipconfig_py3.py during configure to account for different
      sipconfig contents for python3.2/3.3
  * Update debian/rules to properly install sipconfig data for python3-sip-dbg
  * Use/usr/share/doc symlinks for python-sip-dev, python3-sip-dbg, and
    python3-sip-dev

 -- Scott Kitterman <scott@kitterman.com>  Mon, 22 Oct 2012 19:40:12 -0400

sip4 (4.14-1) experimental; urgency=low

  * New upstream release
    - Update sip-api and sip-py3api for New Sip API version
  * Fix debian/watch to work with the current download location

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Oct 2012 01:57:53 -0400

sip4 (4.13.3-2) unstable; urgency=low

  * Install sip.h for python3-sip-dev in the correct directories
  * Add support for dpkg-buildflags in debian/rules
    - Build dbg packages -02 instead of -00 as a consequence
    - Add build-depends on dpkg-dev (>= 1.16.1~)
  * Add missing build-depends on flex
  * Drop unneeded depends on libjs-jquery for python3-sip-dev

 -- Scott Kitterman <scott@kitterman.com>  Fri, 22 Jun 2012 11:54:27 -0400

sip4 (4.13.3-1) unstable; urgency=low

  * New upstream release
    - Refresh patches
    - Update debian/copyright
  * Bump standards-version to 3.9.3 without futher change
  * Correct link targets in python-sip-doc.links to point at the current
    -doc package and not the old -dev package location

 -- Scott Kitterman <scott@kitterman.com>  Thu, 21 Jun 2012 14:59:40 -0400

sip4 (4.13.2-1) unstable; urgency=low

  * New upstream release
    - Refreshed patches
  * Split out documentation into a separate package, python-sip-doc since it
    is used for both the python and python3 versions of sip4
    - Add python-sip-doc.docs/links
    - Adjust other docs/links files
    - python-sip-dev and python3-sip-dev Suggest python-sip-doc
    - Adjust debian/rules to build arch all packages
  * Install NEWS as changelog

 -- Scott Kitterman <scott@kitterman.com>  Sat, 11 Feb 2012 12:47:35 -0500

sip4 (4.13.1-3) unstable; urgency=low

  * Add myself to uploaders
  * Add debian/dh_sip3 and debian/manpages/dh_sip3.1.  Adjust
    python3-sip-dev.install and add python3-sip-dev.manpages to ship dh_sip3
    for python3 packages
  * Add removal of generated files in siplib to clean rule
  * Instead of using upstream embedded copy of underscore.js, add
    libjs-underscore to python-sip-dev depends and symlink to the docs

 -- Scott Kitterman <scott@kitterman.com>  Sat, 21 Jan 2012 01:49:54 -0500

sip4 (4.13.1-2) unstable; urgency=low

  * Team upload
  * Bump Breaks version for to python-qt4 << 4.9~ (Closes: #653293)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 28 Dec 2011 20:08:42 -0500

sip4 (4.13.1-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Change python3-sip-dev to depend on python3-dev instead of python-dev
  * Update python3-sip-dev short description to refer to python3
  * Update python3-sip-dbg short description so it is different than
    python3-sip

 -- Scott Kitterman <scott@kitterman.com>  Fri, 23 Dec 2011 08:52:28 -0500

sip4 (4.13-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Use --no-dbg-cleaning for python3 too
  * Add build-arch: build and build-indep: build to debian/rules

 -- Scott Kitterman <scott@kitterman.com>  Sat, 29 Oct 2011 11:50:01 -0400

sip4 (4.12.4-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Remove obsolete debian/source/lintian-overrides
  * Fix typo in last changelog entry
  * Replace hack in debian/rules with --no-dbg-cleaning and bump minimun
    python version to 2.6.7-3~
  * Add hack in debian/rules back for dh_python3 and wait for it to grow
    --no-dbg-cleaning
  * Stop doing things in binary-indep since we no longer build any arch all
    packages

 -- Scott Kitterman <scott@kitterman.com>  Wed, 24 Aug 2011 10:22:09 -0400

sip4 (4.12.3-1) unstable; urgency=low

  * Team upload

  [ Scott Kitterman ]
  * New upstream release (No API version change)
    - Refresh and adapt patches
  * Switch to dh_python2
    - Update debian/rules
    - Drop python-support build-depends
  * Bump standards version to 3.9.2 without further change
  * Remove Bernd Zeimetz from Uploaders at his request
    - Thanks to bzed for all his work on the package

 -- Scott Kitterman <scott@kitterman.com>  Fri, 29 Jul 2011 19:24:24 -0400

sip4 (4.12.1-1) unstable; urgency=low

  * Team upload.

  [ Michael Casadevall ]
  * Merged in patch from Per W for Python 3 support, thank you.
  * Add lintian overrides for incorrect warnings

  [ Michał Zając ]
  * New upstream release
  * Added Python 3 support (Closes: #587072)
   - support default Python 3 interpreter only for now
   - debian/rules: added dh_python3
   - debian/rules: added install-arch-3.%
   - debian/rules: added substvars to keep provides up-to-date
   - debian/control: python-sip provides sip-api-8.0 and 8.1
   - debian/control: python3-sip provides sip-py3api-8.0 and 8.1
  * Added configure.py.patch, fixes FTBFS
  * debian/patches/siputils_debian_changes.diff
   - Refreshed

  [ Piotr Ożarowski ]
  * Change source package name to sip4 (Closes: #535599)
  * Do not compress objects.inv file (Closes: #608772)
  * Drop transitional packages: python-sip4, sip4, python-sip4-dev,
    python-sip4-dbg

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 24 Jan 2011 19:31:28 +0100

sip4-qt3 (4.10.2-1) unstable; urgency=low

  * New upstream release

 -- Torsten Marek <shlomme@debian.org>  Sun, 18 Apr 2010 18:06:56 +0200

sip4-qt3 (4.10.1-2) unstable; urgency=low

  * debian/control
    - Added the old python-qscintilla2 package to Breaks: of python-sip4,
      since it wasn't updated correctly in some cases
      (Closes: #571203)

 -- Torsten Marek <shlomme@debian.org>  Thu, 15 Apr 2010 09:23:42 +0200

sip4-qt3 (4.10.1-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - python-sip also provides sip-api-7.1
  * debian/rules
    - upstream changelog is not shipped any more

 -- Torsten Marek <shlomme@debian.org>  Wed, 24 Mar 2010 19:22:46 +0100

sip4-qt3 (4.10-2) unstable; urgency=low

  * Upload to unstable (Closes: #552511)
  * siputils.py does not check errno any more (Closes: #560418)
  * debian/control
    - Updated standards version to 3.8.4, no changes necessary
    - Make python-sip4 break those packages that do not depend on
      python2.x-sip4 or a specific version of python-sip4
  * debian/manpages/dh_sip.1
    - Create man page for dh_sip
  * debian/manpages/sip.1
    - Update man page for sip
  * debian/README.source
    - Removed, not needed for source format "3.0 (quilt)"

 -- Torsten Marek <shlomme@debian.org>  Tue, 02 Feb 2010 21:27:14 +0100

sip4-qt3 (4.10-1) experimental; urgency=low

  * New upstream release (Closes: #558680)
  * Convert to source format "3.0 (quilt)"
  * debian/patches/01_configure
    - Dropped, applied upstream
  * debian/control
    - Renamed all packages from *sip4* to sip
    - Added transitional packages
    - Merged sip4 into python-sip-dev
    - python-sip now has the public API in the provides field (Closes: #554024)
  * debian/dh_sip
    - Added debhelper script that generates substvars for packages
      that directly depend on python-sip
  * debian/rules
    - Drop dpatch handling
  * debian/patches/siputils_debian_changes.diff
    - Updated to only include debian-specific patches
  * debian/patches/siputils_objdir_module_fix.diff
    - Fixed a bug that broke out-of-tree building of moc object files

 -- Torsten Marek <shlomme@debian.org>  Tue, 26 Jan 2010 23:57:37 +0100

sip4-qt3 (4.9-1) unstable; urgency=high

  * New upstream release that corrects a licensing issue
    (Closes: #543730) (LP: #444742)
  * Justificatoin of urgency=high due to licensing in testing
  * debian/patches/01_configure.dpatch:
    - Refreshed for new source version
  * debian/patches/02_siputils.dpatch:
    - Refreshed for new source version
  * Updated copyright file to reflect new licensing terms

 -- Michael Casadevall <mcasadevall@debian.org>  Tue, 06 Oct 2009 13:26:13 -0400

sip4-qt3 (4.8.2-1) unstable; urgency=low

  [ Torsten Marek ]
  * New upstream release
  * debian/rules
    - Fix rule dependencies to allow parallel builds

  [ Michael Casadevall ]
  * debian/control:
    - Bumped standard version to 3.8.3
    - Update Maintainer field to Python Modules Packaging Team (Closes: #540937)
    - Add myself to uploaders
    - Added XS-Python-Version field
    - Bumped debhelper build-dep to 7
  * debian/README.source
    - New file to explain patch system

 -- Torsten Marek <shlomme@debian.org>  Fri, 28 Aug 2009 20:22:06 +0200

sip4-qt3 (4.8.1-1) unstable; urgency=low

  * New upstream release

 -- Torsten Marek <shlomme@debian.org>  Thu, 18 Jun 2009 20:33:33 +0200

sip4-qt3 (4.8-1) unstable; urgency=low

  [ Torsten Marek ]
  * New upstream release
  * Removed debian/pycompat, not needed anymore
  * debian/control
    - Add dependency to libjs-jquery since sip4's docs are
      now done using sphinx
  * debian/rules
    - Install configuration modules in python-sip4{,-dbg} instead of
      python-sip4-dev (Closes: #530846)

  [ Bernd Zeimetz ]
  * Fixing override disparity: Set 'debug' as sectiong for the -dbg package.
  * Bumping Standards-Version to 3.8.1, no changes needed.
  * Migrating to python-support.
  * Merging changes from Ubuntu to build for Python 2.6. We
    don't use python-central stuff, though.


 -- Torsten Marek <shlomme@debian.org>  Tue, 09 Jun 2009 22:18:29 +0200

sip4-qt3 (4.7.9-2) unstable; urgency=low

  * Upload to unstable as the package is needed for KDE4.
  * Adding myself to Uploaders.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 05 Apr 2009 20:52:40 +0200

sip4-qt3 (4.7.9-1) experimental; urgency=low

  [ Torsten Marek ]
  * New upstream release

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Torsten Marek <shlomme@debian.org>  Sat, 22 Nov 2008 18:38:16 +0100

sip4-qt3 (4.7.7-1) experimental; urgency=low

  * New upstream release

 -- Torsten Marek <shlomme@debian.org>  Tue, 12 Aug 2008 08:10:22 +0200

sip4-qt3 (4.7.6-1) unstable; urgency=low

  [ Torsten Marek ]
  * New upstream release

  [ Sandro Tosi ]
  * debian/control
    - updated Homepage field; Closes: #484595
    - bump Standards-Version to 3.8.0 (no changes needed)
  * debian/watch
    - updated

 -- Torsten Marek <shlomme@debian.org>  Wed, 11 Jun 2008 23:19:27 +0200

sip4-qt3 (4.7.4-1) unstable; urgency=low

  * New upstream release 4.7.4

 -- Torsten Marek <shlomme@debian.org>  Thu, 14 Feb 2008 23:16:48 +0100

sip4-qt3 (4.7.3-2) UNRELEASED; urgency=low

  * debian/control
    - uniforming both Vcs-Vsn and Vcs-Browser fields

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 03 Jan 2008 11:40:01 +0100

sip4-qt3 (4.7.3-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Torsten Marek ]
  * New upstream release.
  * Bumped standards version to 3.7.3, no changes necessary.

 -- Torsten Marek <shlomme@debian.org>  Sun, 16 Dec 2007 14:54:53 +0100

sip4-qt3 (4.7.1-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * XS-Vcs-Svn, XS-Vcs-Browser and Homepage fields added

  [ Torsten Marek ]
  * New upstream release.
  * Expose private members of sipconfig_*.py as well. (Closes: #444259)

 -- Torsten Marek <shlomme@debian.org>  Sun, 30 Sep 2007 14:03:51 +0200

sip4-qt3 (4.7-5) unstable; urgency=low

  * Upload to unstable.

 -- Torsten Marek <shlomme@debian.org>  Sun, 16 Sep 2007 00:16:59 +0200

sip4-qt3 (4.7-4) experimental; urgency=low

  * Added DPMT to Uploaders field.
  * Merge back changes from Ubuntu, including:
  * Better debian/rules file
  * Support for debug packages

 -- Torsten Marek <shlomme@debian.org>  Sat, 08 Sep 2007 22:25:09 +0200

sip4-qt3 (4.7-3) unstable; urgency=low

  * Handle DEB_BUILD_OPTIONS settings correctly

 -- Torsten Marek <shlomme@debian.org>  Fri, 31 Aug 2007 22:21:15 +0200

sip4-qt3 (4.7-2) unstable; urgency=low

  * Add proper dependencies to python-sip4-dev (Closes: #435788)

 -- Torsten Marek <shlomme@debian.org>  Sun, 12 Aug 2007 11:05:21 +0200

sip4-qt3 (4.7-1) unstable; urgency=low

  * New upstream release
  * sipconfig.py and sipdistutils.py have been moved to python-sip4-dev
  * python-sip4-dev does not depend on python-sip4 any more, only
    recommends it
  * Updated the sip.1 manpage.

 -- Torsten Marek <shlomme@debian.org>  Tue, 31 Jul 2007 19:30:26 +0200

sip4-qt3 (4.6-1) unstable; urgency=low

  * New upstream release

 -- Torsten Marek <shlomme@debian.org>  Mon, 07 May 2007 21:03:27 +0200

sip4-qt3 (4.5.2-1) experimental; urgency=low

  * New upstream release
  * Removed patches needed to build against Qt 4.2

 -- Torsten Marek <shlomme@debian.org>  Wed,  6 Dec 2006 19:40:13 +0100

sip4-qt3 (4.4.5-4) unstable; urgency=medium

  * The "backport-shmackport" release
  * Support Qt 4.2's mkspecs files
  * Remove the QtAssistantClient hack since QtAssistantClient is
    now a shared object
  * Urgency=medium since fixed PyQt4 depends on changes in
    this packge

 -- Torsten Marek <shlomme@debian.org>  Mon, 16 Oct 2006 23:23:59 +0200

sip4-qt3 (4.4.5-3) unstable; urgency=low

  * Hack the hack for the library dependencies,
    add an exception for QtAssitantClient
  * Added debian/pycompat
  
 -- Torsten Marek <shlomme@debian.org>  Sun,  3 Sep 2006 15:35:38 +0200

sip4-qt3 (4.4.5-2) unstable; urgency=low

  * Fix typo in debian/rules: pyversions argument should be -vr, not -vs
  * Add replaces and conflicts to python-sip4-dev (Closes: #375117)

 -- Torsten Marek <shlomme@debian.org>  Mon, 26 Jun 2006 19:16:02 +0200

sip4-qt3 (4.4.5-1) unstable; urgency=low

  * Acknowledge NMU
  * New upstream release
  * Fix dependency of dev packages (Closes: #374661)

 -- Torsten Marek <shlomme@debian.org>  Wed, 21 Jun 2006 19:18:18 +0200

sip4-qt3 (4.4.3-1.1) unstable; urgency=low

  * Convert to the updated Python policy. Closes: #373383.

 -- Matthias Klose <doko@debian.org>  Mon, 19 Jun 2006 21:34:32 +0000

sip4-qt3 (4.4.3-1) unstable; urgency=low

  * New upstream release
  * Install sipconfig.py again
  * Install sipdistutils.py
  * Changed my email address to shlomme@debian.org
  * Added watch file
  * Drop the -qt3 suffix from the Python module packages, as sip4
    supports Qt3 and Qt4 now
  * Clean up debian/rules (use binary-common)
  * Build-depend on python-all-dev

 -- Torsten Marek <shlomme@debian.org>  Thu, 27 Apr 2006 13:22:21 +0200

sip4-qt3 (4.3.1-1) unstable; urgency=low

  * New upstream release
  * Include upstream changelog

 -- Torsten Marek <shlomme@gmx.net>  Sun, 11 Sep 2005 17:03:43 +0200

sip4-qt3 (4.3-1) unstable; urgency=low

  * New upstream release
  * Updated standards version to 3.6.2
  * Removed Conflicts: with packages that do not exist in Debian any more
  * g++ ABI transition (closes: Bug#325982)
  * Removed README.Debian. It was for sip3 and has no meaning with
    sip4.

 -- Torsten Marek <shlomme@gmx.net>  Thu,  1 Sep 2005 01:01:28 +0200

sip4-qt3 (4.2.1-1) unstable; urgency=low

  * New upstream release
  * Added packages for Python 2.4
  * Standards version updated to 3.6.1.0
  * Build-depends adapted (python2.3-dev and python2.4-dev),
    autoconf, bison and flex removed
  * The sip4 build system has been  tweaked in several ways 
    to allow parrallel builds for different versions of Python

 -- Torsten Marek <shlomme@gmx.net>  Sun,  6 Mar 2005 23:30:53 +0100

sip4-qt3 (4.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Tue, 30 Nov 2004 11:54:41 +0000

sip4-qt3 (4.1-1) unstable; urgency=low

  * New upstream release.
  * Added the programming reference to sip4 package.

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Thu, 23 Sep 2004 00:15:43 +0100

sip4-qt3 (4.0.1-2) unstable; urgency=low

  * Added package python-sip4-dev
    (closes: Bug#272856)

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Wed, 22 Sep 2004 16:25:53 +0100

sip4-qt3 (4.0.1-1) unstable; urgency=low

  * New upstream release

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Mon,  9 Aug 2004 18:27:57 +0100

sip4-qt3 (4.0-2) unstable; urgency=low

  * Changed Build-Depends on python2.3-dev to python-dev
    (closes: Bug#257912)

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Tue,  6 Jul 2004 18:28:25 +0100

sip4-qt3 (4.0-1) unstable; urgency=low

  * New upstream release
  * Changed the 
  * Fixed the debian/copyright file, stating the correct license.
    The new license is a derivative of PSF's Python License, only
    changing references to the licenser, so it's still free and
    GPL-compatible. It doesn't closes bug 255066 because it refers
    to the old source package.

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Thu, 10 Jun 2004 00:54:30 +0100

sip-qt3 (3.10.1-2) unstable; urgency=low

  * Removed reference to python-qt2 binaries from python2.3-sip-dev
    Depends line (closes: Bug#245650)

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sat, 24 Apr 2004 17:01:10 +0100

sip-qt3 (3.10.1-1) unstable; urgency=low

  * New upstream release
  * Corrected some dh_make boilerplate on copyright file.
  * Corrected upstream's changelog file name (closes: Bug#217159)
  * sip4 will support Qt >= 3.0 and Python >= 2.3, so I'm releasing
    only Python 2.3 packages from right now.

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sat,  3 Jan 2004 17:14:02 +0000

sip-qt3 (3.8-2) unstable; urgency=low

  * Compiled against Qt 3.2, which substracts a symbol from the API.

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sat,  3 Jan 2004 17:13:46 +0000

sip-qt3 (3.8-1) unstable; urgency=low

  * New upstream release
  * Support for Python 2.3
  * Changed default version to Python 2.3

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Mon, 18 Aug 2003 23:30:13 +0100

sip-qt3 (3.7-1) unstable; urgency=low

  * New upstream release

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sun,  6 Jul 2003 18:44:41 +0100

sip-qt3 (3.6-1) unstable; urgency=low

  * New upstream version
  * Stripped 'c102' from names. The soname has changed.

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Mon, 28 Apr 2003 01:09:38 +0100

sip-qt3 (3.5-3) unstable; urgency=low

  * Compiled with G++ 3.2. Changed the name of the packages providing
    shared runtimes according to G++ 3.2 transition plan.

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Mon,  3 Feb 2003 22:05:17 +0000

sip-qt3 (3.5-2) unstable; urgency=low

  * Compiled against Qt 3.1.1-CVS

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Mon, 30 Dec 2002 16:32:57 +0000

sip-qt3 (3.5-1) unstable; urgency=low

  * New upstream version
  * Now sip-qt3 produces some packages (sip, pythonX.Y-sip-dev) that were
    previously at sip-qt2.
  * Upgraded debhelper dependency to >= 4.0
  * Changed debian/rules acordingly

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Thu, 12 Dec 2002 00:33:08 +0000

sip-qt3 (3.4+20021126-2) unstable; urgency=low

  * Compiled with -fno-exceptions

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Wed, 27 Nov 2002 02:14:50 +0000

sip-qt3 (3.4+20021114-2) unstable; urgency=low

  * Added -dev packages
  * Fixed some bugs on debian/rules

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sun, 24 Nov 2002 20:13:16 +0000

sip-qt3 (3.4+20021114-1) unstable; urgency=low

  * Update to development version
  * Now generating python-sip, which depends on the default python
    version libsip package

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sun, 24 Nov 2002 04:35:47 +0000

sip-qt3 (3.4-1) unstable; urgency=low

  * New upstream version
  * License change

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Tue, 10 Sep 2002 23:24:09 +0100

sip-qt3 (3.3.2-1) unstable; urgency=low

  * New upstream version

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sat, 10 Aug 2002 15:51:42 +0100

sip-qt3 (3.3+rc2-1) unstable; urgency=low

  * Update to upstream version
  * Changed configuration system

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Sat, 29 Jun 2002 17:53:31 +0100

sip-qt3 (3.2.4-1) unstable; urgency=low

  * Update to upstream version
  * First version of this source package

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Mon,  6 May 2002 14:20:03 +0100

sip (2.5-3) unstable; urgency=low

  * ACK previous NMU. (closes: Bug#127131)

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Tue, 23 Apr 2002 19:59:44 +0100

sip (2.5-2.2) unstable; urgency=low

  * Non-maintainer upload: Since I made the dependencies of python versioned,
    I also have to make the build-dependencies versioned.

 -- Gregor Hoffleit <flight@debian.org>  Mon, 31 Dec 2001 11:33:27 +0100

sip (2.5-2.1) unstable; urgency=medium

  * Non-maintainer upload: rebuilt for Python 2.2 (closes: #120709).
    sip's configure calls up 'python' and sets the include path for the 
    Python header files according to its sys.version. Therefore, a
    Build-Depends on "python-dev" suffices to build a current package
    python-pyqt at any time. What was missing was the installation time
    Depends on "python (>= 2.1), python (<< 2.2)".
  * sip and python-pyqt hold back the removal of python-base, therefore
    an medium urgency.

 -- Gregor Hoffleit <flight@debian.org>  Mon, 31 Dec 2001 00:45:30 +0100

sip (2.5-2) unstable; urgency=low

  * Previous revision seemed Debian native, as it were not uploaded with
    the companion .diff.gz file.

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Mon, 13 Aug 2001 03:37:52 +0100

sip (2.5-1) unstable; urgency=low

  * Upstream upgrade

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Mon, 13 Aug 2001 03:28:52 +0100

sip (2.4-1) unstable; urgency=low

  * Upstream upgrade

 -- Ricardo Javier Cardenes Medina <rcardenes@debian.org>  Thu, 14 Jun 2001 12:56:44 +0100

sip (2.2-1) unstable; urgency=low

  * Initial Release.

 -- Ricardo Javier Cardenes Medina <a1402@dis.ulpgc.es>  Tue, 28 Nov 2000 23:30:23 +0000

Local variables:
mode: debian-changelog
End:
